View Issue Details

IDProjectCategoryView StatusLast Update
0001091Main CAcert Websiteweb of trustpublic2013-01-17 21:47
ReporterNEOatNHNG Assigned Toegal  
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMain CAcert WebsiteOSN/A 
Fixed in Version2012 Q4 
Summary0001091: Improve message to Assurer
DescriptionThe message to the Assurer (part of the Find an Assurer thingy) should be more verbose, telling the Assurer that this is a request from another user (maybe even who).
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0000878 needs work replace locations-database-set with new dataset or alternate solution a20090427.2 

Activities

NEOatNHNG

2012-08-25 16:12

administrator   ~0003149

I have added a header and footer to the "Find an Assurer" message to make it clear it is sent by another user.

Please review and test.

Uli60

2012-08-25 16:16

updater   ~0003152

testuser: added my details, location
           added show assurer

other user sent "find an assurer" message
results in:
..................................................................
Hi bug1004,

Michael T. has sent you a message via the contact an Assurer form on CAcert.org.

Subject: foobar
Message:
dies ist ein text

blabla

------------------------------------------------

Please note, that this is NOT a message on behalf of CAcert but another user.

Best regards
CAcert Support Team

FabianKnopf

2012-08-26 09:55

reporter   ~0003153

Last edited: 2012-08-26 10:04

View 3 revisions

Now correct output of mail response:



Read Mail
Hallo WebsprudelBUG1004,

bug1091 user1 has sent you a message via the contact an Assurer form on CAcert.org.

Subject: Your Account info
Message:
Your account has been locked.
Please connect to
[fake address] to reset your account and password to reenable your account.

CAcert Support


------------------------------------------------

Please note, that this is NOT a message on behalf of CAcert but another user.

Mit freundlichen Grüßen
CAcert-Support-Team


FYI:
[fake address] -> this was a link to an url adress / correspond to uli following note

Uli60

2012-08-26 10:00

updater   ~0003154

1. sending mail from bug1091.user1@w.d to websprudel...
   added a href link with location text
   href is displayed in email and is functional
2. mail rcvd from websprudel ...
   from Info@Webs...de
   to bug1091.user1@w.d
   subj: [CAcert.org] Message from WebsprudelBUG1004
Hi bug1091,

WebsprudelBUG1004 Knopf has sent you a message via the contact an Assurer form on CAcert.org.

Subject: Assurance Party
Message:
Hallo Uli,

password vergessen. Melde dich auf meiner Adress an
Link

HAcker Space

Bla Blub,

Fabi

------------------------------------------------

Please note, that this is NOT a message on behalf of CAcert but another user.

Best regards
CAcert Support Team


=> ok

Uli60

2012-08-26 10:08

updater   ~0003155

tested by 2, needs 2nd review

BenBE

2012-09-18 21:18

updater   ~0003199

Cleanup of Patch regarding Whitespaces/CRLF->LF.

Also add a note advising to contact support when suspecting abuse.

NEOatNHNG

2012-10-02 21:23

administrator   ~0003228

@BenBE: Done

Please retest and review

Uli60

2012-10-02 21:37

updater   ~0003229

Last edited: 2012-10-02 21:40

View 2 revisions

message thru contact form
from: Bug1054.3.8.UserGT18@w.d
to: bug1004.userb4@w.d

-----------------------------------------------------
this is a test to assurer bug1004 u
bug1004.userb4@w.d

?><? echo ":-)\r\n"; ?>

.

["]

backslash x A zero
\xA0

alt160
\d160

Hello World

-----------------------------------------------------

result:
-----------------------------------------------------
Hi bug1004,

Bug1054.3.8 UserGT18 has sent you a message via the contact an Assurer form on CAcert.org.

Subject: test bug 1091
Message:
this is a test to assurer bug1004 u
bug1004.userb4@w.d

?> \"; ?>
-----------------------------------------------------

ca-mgr1: Ctrl+U
-----------------------------------------------------

        <div id="content">
            <H1>Read Mail</H1>
Hi bug1004,



Bug1054.3.8 UserGT18 has sent you a message via the contact an Assurer form on CAcert.org.



Subject: test bug 1091

Message:

this is a test to assurer bug1004 u

bug1004.userb4@w.d



?><? echo \":-)\\r\

\"; ?>



----------------------------------------------------

INOPIAE

2012-10-02 21:42

updater   ~0003230

Message sent from orgadmin@inopaie.com to m.maengel@inopaie.com

Subject: =?B?...=/=?Q=...=
Message:
Test formular
.
eeee


Message resceived:
Subject: =?B?...=/=?Q=...=
Message:
Test formular

Missing lines after Test formular starting with line "."

Uli60

2012-10-02 22:38

updater   ~0003231

new test after fixes:

message thru contact form
from: Bug1054.3.8.UserGT18@w.d
to: bug1004.userb4@w.d

-----------------------------------------------------
this is a test to assurer bug1004 u
bug1004.userb4@w.d

?><? echo ":-)\r\n"; ?>

.

["]

backslash x A zero
\xA0

alt160
\d160

Hello World

-----------------------------------------------------


results in:
--------------------------------------------------------------
Hi bug1004,

Bug1054.3.8 UserGT18 has sent you a message via the contact an Assurer form on CAcert.org.

Subject: test bug 1091 0000002
Message:
this is a test to assurer bug1004 u
bug1004.userb4@w.d

?>

.

["]

backslash x A zero
\\xA0

alt160
\\d160

Hello World


------------------------------------------------

Please note, that this is NOT a message on behalf of CAcert but another CAcert community member. If you suspect that the contact form might have been abused, please write to support@cacert.org

Best regards
Your CAcert Community
-------------------------------------------------------


ca-mgr1 Ctrl+U
-------------------------------------------------------
            <H1>Read Mail</H1>
Hi bug1004,[html br]
[html br]
Bug1054.3.8 UserGT18 has sent you a message via the contact an Assurer form on CAcert.org.[html br]
[html br]
Subject: test bug 1091 0000002[html br]
Message:[html br]
this is a test to assurer bug1004 u[html br]
bug1004.userb4@w.d[html br]
[html br]
?><? echo \":-)\\r\\n\"; ?>[html br]
[html br]
 .[html br]
[html br]
["][html br]
[html br]
backslash x A zero[html br]
\\xA0[html br]
[html br]
alt160[html br]
\\d160[html br]
[html br]
Hello World[html br]
[html br]
[html br]
------------------------------------------------[html br]
[html br]
Please note, that this is NOT a message on behalf of CAcert but another CAcert community member. If you suspect that the contact form might have been abused, please write to support@cacert.org[html br]
[html br]
Best regards[html br]
Your CAcert Community[html br]
[html br]
-------------------------------------------------------

INOPIAE

2012-10-02 22:46

updater   ~0003232

Message send to m.maengel@inopiae.com

?><? echo ":-)\r\n"; ?>

.

["]

backslash x A zero
\xA0

alt160
\d160

Hello World

Message is received correct after using ctrl+u in the test manager.

=>ok

BenBE

2012-10-11 13:41

updater   ~0003241

Notification to Critical Admin to apply this fix sent.

wytze

2012-10-13 14:00

developer   ~0003242

The fix has been installed on the production server on October 13, 2012. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2012-10/msg00004.html

Werner Dworak

2013-01-17 21:47

updater   ~0003692

More than 3 Month solved and no complaints.

Issue History

Date Modified Username Field Change
2012-08-24 22:18 NEOatNHNG New Issue
2012-08-24 22:18 NEOatNHNG Assigned To => NEOatNHNG
2012-08-25 16:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver 92a5e094
2012-08-25 16:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver 81d8360c
2012-08-25 16:12 NEOatNHNG Reviewed by => NEOatNHNG
2012-08-25 16:12 NEOatNHNG Note Added: 0003149
2012-08-25 16:12 NEOatNHNG Status new => needs review & testing
2012-08-25 16:16 Uli60 Note Added: 0003152
2012-08-26 09:55 FabianKnopf Note Added: 0003153
2012-08-26 10:00 Uli60 Note Added: 0003154
2012-08-26 10:02 FabianKnopf Note Edited: 0003153 View Revisions
2012-08-26 10:04 FabianKnopf Note Edited: 0003153 View Revisions
2012-08-26 10:08 Uli60 Note Added: 0003155
2012-08-26 10:08 Uli60 Assigned To NEOatNHNG => egal
2012-08-26 10:08 Uli60 Status needs review & testing => needs review
2012-09-18 21:18 BenBE Note Added: 0003199
2012-10-02 21:23 NEOatNHNG Note Added: 0003228
2012-10-02 21:24 NEOatNHNG Status needs review => needs review & testing
2012-10-02 21:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver a0758622
2012-10-02 21:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 25421147
2012-10-02 21:37 Uli60 Note Added: 0003229
2012-10-02 21:40 Uli60 Note Edited: 0003229 View Revisions
2012-10-02 21:42 INOPIAE Note Added: 0003230
2012-10-02 22:30 NEOatNHNG Source_changeset_attached => cacert-devel testserver 2d7e4402
2012-10-02 22:30 NEOatNHNG Source_changeset_attached => cacert-devel testserver 947aa18c
2012-10-02 22:38 Uli60 Note Added: 0003231
2012-10-02 22:46 INOPIAE Note Added: 0003232
2012-10-09 22:46 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2012-10-09 22:46 BenBE Status needs review & testing => ready to deploy
2012-10-11 13:41 BenBE Note Added: 0003241
2012-10-13 14:00 wytze Note Added: 0003242
2012-10-13 14:00 wytze Status ready to deploy => solved?
2012-10-13 14:00 wytze Resolution open => fixed
2012-10-16 15:50 BenBE Source_changeset_attached => cacert-devel release 8dbf200f
2013-01-10 15:55 Werner Dworak Relationship added related to 0000878
2013-01-11 00:12 INOPIAE Fixed in Version => 2012 Q4
2013-01-17 21:47 Werner Dworak Note Added: 0003692
2013-01-17 21:47 Werner Dworak Status solved? => closed